Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.security
Class KeyFile

    java.lang.Object
      opencard.opt.security.KeyFile

All Implemented Interfaces:
  java.io.Serializable, java.security.Key, KeyRef

Direct Known Subclasses:
  PrivateKeyFile, PublicKeyFile, SecretKeyFile

    public abstract class KeyFile

extends java.lang.Object
implements KeyRef

Base class for references to keys stored on a smart card in an ISO file. Identifies the key by specifying the directory the key is contained in as well as a key number.
This class is abstract. To reference keys, use one of the derived classes `PublicKeyFile`, `PrivateKeyFile`, or `SecretKeyFile`.

Version:
  $Id: KeyFile.java,v 1.1 1999/11/10 13:55:45 damke Exp $
Author:
  Peter Bendel (peter_bendel@de.ibm.com), Roland Weber (rolweber@de.ibm.com)
See Also:
  Serialized Form

Field Summary

Fields inherited from interface java.security.Key
`serialVersionUID`

Constructor Summary
`protected` | `KeyFile(CardFilePath directory, int keyNr)` Constructor from directory path and key number

Method Summary
`java.lang.String` | `getAlgorithm()` adhere to interface java.security.Key
`CardFilePath` | `getDirectory()` get the directory containing the key
`byte[]` | `getEncoded()` adhere to interface java.security.Key
`java.lang.String` | `getFormat()` adhere to interface java.security.Key
`int` | `getKeyNumber()` get the number of the key

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyFile

    protected KeyFile(CardFilePath directory,
                      int keyNr)

  Constructor from directory path and key number

  Parameters:
    `path` - opencard.opt.iso.fs.CardFilePath
    `keyNr` - int

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

  adhere to interface java.security.Key

  Specified by:
    `getAlgorithm` in interface `java.security.Key`

### getDirectory

    public CardFilePath getDirectory()

  get the directory containing the key

### getEncoded

    public byte[] getEncoded()

  adhere to interface java.security.Key

  Specified by:
    `getEncoded` in interface `java.security.Key`

### getFormat

    public java.lang.String getFormat()

  adhere to interface java.security.Key

  Specified by:
    `getFormat` in interface `java.security.Key`

### getKeyNumber

    public int getKeyNumber()

  get the number of the key

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD